# Interface IDescriptionProvider

All Known Subinterfaces:
  `ICommonLabelProvider`

All Known Implementing Classes:
  `AbstractSynchronizationLabelProvider, SynchronizationLabelProvider`

public interface IDescriptionProvider
Label providers (as specified by the labelProvider attribute of the org.eclipse.ui.navigator.navigatorContent extension point) may choose to also implement this interface in order to provide text for the status bar at the bottom of the Eclipse window.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription(Object anElement)`
Provide a description for the status bar view, if available.

## Method Details

### getDescription

String getDescription(Object anElement)

Provide a description for the status bar view, if available. A default string of the form "(x) items selected" will be used if this method choose to return null.

The empty string ("") will be respected as a valid value if returned. Return null if the extension defers to the default method of supplying status bar descriptions.

Parameters:
  `anElement` - The element selected in the Navigator
Returns:
  A description for the status bar view, or null if not available.